Bug 772250 - Maven artifacts for RHQ 4.2 are not available on JBoss Nexus repo
Maven artifacts for RHQ 4.2 are not available on JBoss Nexus repo
Status: CLOSED UPSTREAM
Product: RHQ Project
Classification: Other
Component: Build System (Show other bugs)
4.1,4.2
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Ian Springer
Mike Foley
:
Depends On:
Blocks: jon310-sprint11/rhq44-sprint11
  Show dependency treegraph
 
Reported: 2012-01-06 10:28 EST by claprun
Modified: 2013-09-02 01:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-03 16:54:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description claprun 2012-01-06 10:28:27 EST

    
Comment 1 claprun 2012-01-06 10:52:44 EST
Technically, the artifacts for 4.1 are also missing. Not sure we care, though.
Comment 2 Ian Springer 2012-02-03 14:46:46 EST
The 4.2 artifacts are now published to the JBoss Releases repo, e.g. the domain jar is at:

 https://repository.jboss.org/nexus/content/repositories/releases/org/rhq/rhq-core-domain/4.2.0/

To add RHQ dependencies to your Maven project, add the following repo to either your pom or settings.xml:

 <repository>
  <id>jboss-public-repo-group</id>
  <name>JBoss Public Repository Group</name>
  <url>http://repository.jboss.org/nexus/content/groups/public/</url>
  <snapshots>
   <enabled>false</enabled>
  </snapshots>
 </repository>

Note, I also added instructions on publishing Maven artifacts to the RHQ dev wiki:

 http://rhq-project.org/display/RHQ/Publishing+Maven+Artifacts

Note You need to log in before you can comment on or make changes to this bug.